Summary:	A utility for retrieving files using the HTTP or FTP protocols.
Name:		wget
Version:	1.8.1
Release:	1.3.0
License:	GPL
Group:		Applications/Internet
Source0:	ftp://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz 
Source2:	wget-1.5.3-ko.po
Patch0:		wget-1.8.1-security-gd-1.diff
Provides:	webclient
BuildRequires:	perl, openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you are logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

%prep
%setup -q
%patch0 -p1
cp %{SOURCE2} $RPM_BUILD_DIR/wget-%{version}/po/ko.po

%build
export LTCONFIG_VERSION=1.3.4
%configure --with-ssl
make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS MAILING-LIST NEWS README PATCHES README.cvs TODO
%config(noreplace) /etc/wgetrc
%{_mandir}/man1/wget.*
%{_bindir}/wget

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Thu Dec 12 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.8.1, Release 1.2.2
  - Fix directory traversal vunlerability.

* Mon Mar 04 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.8.1, Release 1.2.1
  - Upgrade to less-spammish 1.8.1.
  - Added LTCONFIG_VERSION hack, removed 'info' stuff.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.7, Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Spec taken from RH7.2 and Ryan-ized.  Changelog stripped.
